---
map:
path: /api/storage/index
---

# 本地缓存

没啥好说的，就是对本地缓存的封装


## 设置Token

把token存储在本地缓存中

```javascript
import { setToken } from "hc-vue3-ui"
setToken('我是token')
```

### token

- 类型: `String`
- 说明: `token数据`



## 读取Token

读取本都存储的 token 数据

```javascript
import { getToken } from "hc-vue3-ui"
getToken()
```

### 返回内容

- 类型: `String`
- 说明: `token数据`


## 移除Token

移除本地存储的token数据

```javascript
import { removeToken } from "hc-vue3-ui"
removeToken()
```



## 设置刷新Token

把刷新token存储在本地缓存中

```javascript
import { setRefreshToken } from "hc-vue3-ui"
setRefreshToken('我是刷新token')
```

### token

- 类型: `String`
- 说明: `token数据`



## 读取刷新Token

读取本都存储的 刷新token 数据

```javascript
import { getRefreshToken } from "hc-vue3-ui"
getRefreshToken()
```

### 返回内容

- 类型: `String`
- 说明: `token数据`



## 移除刷新Token

移除本地存储的刷新token数据

```javascript
import { removeRefreshToken } from "hc-vue3-ui"
removeRefreshToken()
```

## 设置缓存

```javascript
import { setStore } from "hc-vue3-ui"
setStore('key', 'value')
```

### key

- 类型: `String`
- 说明: `缓存的key名称`

### value

- 类型: `-`
- 说明: `缓存内容`

### session

- 类型: `Boolean`
- 默认值: `false`
- 说明: `session模式`


## 读取缓存

```javascript
import { getStore } from "hc-vue3-ui"
getStore('key') // value
```

### key

- 类型: `String`
- 说明: `缓存的key名称`

### debug

- 类型: `Boolean`
- 默认值: `false`
- 说明: `是否开启调试模式`

### session

- 类型: `Boolean`
- 默认值: `false`
- 说明: `session模式`

### 返回内容

- 类型: `-`
- 返回值：`缓存的数据内容`


## 删除缓存

```javascript
import { delStore } from "hc-vue3-ui"
delStore('key')
```

### key

- 类型: `String`
- 说明: `缓存的key名称`

### session

- 类型: `Boolean`
- 默认值: `false`
- 说明: `session模式`


## 清空全部缓存

会清空所有的缓存，包括 `sessionStorage` 和 `localStorage`

```javascript
import { clearStoreAll } from "hc-vue3-ui"
clearStoreAll()
```
