---
map:
path: /api/tools/index
---

# 扩展方法

## https

将http的url地址，更改为https

```javascript
import { setUrlHttps } from "hc-vue3-ui"
setUrlHttps('我是url地址')
```

### url

- 类型: `String`
- 说明: `url地址`



## https-all

替换文本中所有的http为https

```javascript
import { setAllUrlHttps } from "hc-vue3-ui"
setAllUrlHttps('我是内容')
```

### value

- 类型: `String`
- 说明: `内容`


## 时分秒

```javascript
import { secondsToStr } from "hc-vue3-ui"
secondsToStr()

//干啥的，忘了，这是此方法的代码，可能会有用吧
export const secondsToStr = (temp) => {
    const years = Math.floor(temp / 31536000)
    if (years) {
        return years + ' 年'
    }
    const days = Math.floor((temp %= 31536000) / 86400)
    if (days) {
        return days + ' 天'
    }
    const hours = Math.floor((temp %= 86400) / 3600)
    if (hours) {
        return hours + ' 时'
    }
    const minutes = Math.floor((temp %= 3600) / 60)
    if (minutes) {
        return minutes + ' 分'
    }
    const seconds = temp % 60
    return seconds + ' 秒'
}
```


## 处理树节点类型

```javascript
import { getTreeNodeType } from "hc-vue3-ui"
getTreeNodeType()

//自己看此方法的代码的吧，不太好描述
export const getTreeNodeType = (type, majorDataType) => {
    if (type > 0 && majorDataType > 0) {
        switch (majorDataType) {
            case 1:
                return '开';
            case 2:
                return '评';
            case 3:
                return '交';
            case 4:
                return '序';
            default:
                return ''
        }
    } else if (type > 0 && majorDataType <= 0) {
        switch (type) {
            case 1:
                return '单';
            case 2:
                return '部';
            case 3:
                return '部';
            case 4:
                return '项';
            case 5:
                return '项';
            case 6:
                return '序';
            case 102:
                return '检';
            default:
                return ''
        }
    } else {
        return ''
    }
}
```


## 系统主题

获取系统主题类型

```javascript
import { useOsTheme } from 'hc-vue3-ui'
useOsTheme()
```

## 按帧渲染

其实主要的思路就是让这些组件一部分一部分的渲染，一起渲染压力太大要分摊一下，先渲染其中一部分，让用户能够看到，然后再持续的渲染剩下的部分

```vue
<template>
    <div class="container">
        <div v-for="n in 100">
            <!-- 在渲染组件的时候，我们可以利用 defer 函数来进行 if 判断 -->
            <div v-if="defer(n)">1111</div>
        </div>
    </div>
</template>

<script setup>
    import { useDefer } from "hc-vue3-ui"
    const defer = useDefer();
</script>
```

### value

- 类型: `Number`
- 说明: `渲染帧`
