---
map:
path: /components/app-config/index
---

# HcAppConfig

将 `element-plus` 的 `ElLoading`, `ElMessage`, `ElMessageBox`, `ElNotification` 指令挂载到全局，通常这个组件，只需要在入口的 `App.vue` 中包裹路由即可。

还有，对于 系统平台 以及 `Ctrl` 键的检测判断，也会挂载到全局。

## 示例

<demo src="./demo.vue" desc="挂载到全局的指令，请通过 window.$xxxx 使用"></demo>

## 说明

| 名称            | 绑定指令           | 说明                                                                                                                                             |
|---------------|----------------|------------------------------------------------------------------------------------------------------------------------------------------------|
| $loading      | ElLoading      | 相关参数参考 https://element-plus.org/zh-CN/component/loading.html#%E4%BB%A5%E6%9C%8D%E5%8A%A1%E7%9A%84%E6%96%B9%E5%BC%8F%E6%9D%A5%E8%B0%83%E7%94%A8 |
| $messageBox   | ElMessageBox   | 相关参数参考 https://element-plus.org/zh-CN/component/message-box.html                                                                               |
| $message      | ElMessage      | 相关参数参考 https://element-plus.org/zh-CN/component/message.html                                                                                   |
| $notification | ElNotification | 相关参数参考 https://element-plus.org/zh-CN/component/notification.html                                                                              |
| isWin         | -              | 是否为 Windows 系统                                                                                                                                 |
| isMac         | -              | 是否为 MacOS 系统                                                                                                                                   |
| isCtrl        | -              | 根据不同系统平台，返回不同的 按键 key 名称 ，macos 上 为 `Meta`， Windows上为 `Control`                                                                                |

