---
map:
path: /components/date-picker/index
---

# 日期时间选择器

`HcDatePicker` 基于 `element-plus` 的 `el-date-picker` 组件封装。

## demo 示例

<demo src="./demo.vue"></demo>

## props 参数

| 名称        | 类型      | 默认值        | 可选值                                                                                        | 说明         |
|-----------|---------|------------|--------------------------------------------------------------------------------------------|------------|
| dates     | Array   | -          | -                                                                                          | 日期时间数据     |
| clearable | Boolean | false      | true/ false                                                                                | 是否显示清空     |
| type      | String  | daterange  | 见下方说明                                                                                      | 显示类型       |
| format    | String  | YYYY-MM-DD | 请查看 [date formats](https://element-plus.org/en-US/component/date-picker.html#date-formats) | 显示在输入框中的格式 |

<div class="tip custom-block" style="padding-top: 8px">

type：year/month/date/dates/datetime/week/datetimerange/daterange/monthrange，参考：[date-picker](https://element-plus.org/zh-CN/component/date-picker.html#attributes)

</div>


## emit 事件

| 名称     | 返回类型   | 返回数据                | 说明        |
|--------|--------|---------------------|-----------|
| change | Object | `{val, arr, query}` | 日期时间被选择事件 |


## change 数据说明

| 名称    | 返回类型   | 返回数据                                       |
|-------|--------|--------------------------------------------|
| val   | Object | `{start: 'YYYY-MM-DD', end: 'YYYY-MM-DD'}` |
| arr   | Array  | `['YYYY-MM-DD', 'YYYY-MM-DD']`             |
| query | String | `YYYY-MM-DD~YYYY-MM-DD` 注意，中间是 `~` 符号为分割   |
