---
map:
path: /components/drag-modal/index
---

# 缩放拖动弹窗

可拖动、放大缩小等，的弹窗组件。

## 示例

<demo src="./demo.vue"></demo>

## props 参数

| 名称             | 类型                       | 默认值       | 可选值         | 说明                          |
|----------------|--------------------------|-----------|-------------|-----------------------------|
| ui             | String                   | -         | -           | 附加 calss 类名                 |
| title          | String                   | -         | -           | 弹窗标题                        |
| titleUi        | String  / Array / Object | -         | -           | 标题栏附加 class 类名              |
| titleBorder    | Boolean                  | false     | true/ false | 标题栏是否显示边线                   |
| closeIcon      | Boolean                  | true      | true/ false | 是否显示关闭图标                    |
| isShow         | Boolean                  | false     | true/ false | 是否显示弹窗                      |
| widths         | Number / String          | 960       | -           | 初始默认宽度                      |
| height         | Number /  String         | 440       | -           | 初始默认高度                      |
| lefts          | Number /  String         | 120       | -           | 初始默认位置：距离左边                 |
| tops           | Number /  String         | 80        | -           | 初始默认位置：距离顶部                 |
| isSortTop      | Boolean                  | false     | true/ false | 是否排序置顶                      |
| eid            | Number /  String         | 随机生成唯一key | -           | 窗口唯一 key                    |
| isCloseDestroy | Boolean                  | true      | true/ false | 关闭时销毁弹窗                     |
| loading        | Boolean                  | false     | true/ false | 是否 Loading状态                |
| loadingText    | String                   | '加载中...'  | -           | Loading 时显示的提示文字            |
| closeIconArr   | Array                    | -         | -           | 关闭区域图标功能扩展                  |
| sortTopList    | Array                    | -         | -           | 弹窗排序存储数组，此参数的内容，建议存在全局状态管理里 |


## emit 事件

| 名称            | 返回类型   | 返回数据        | 说明                        |
|---------------|--------|-------------|---------------------------|
| close         | -      | -           | 弹窗关闭事件                    |
| closeIconTap  | Object | 当前点击的图标数据   | 关闭区域图标功能扩展的图标被点击事件        |
| sortTopchange | Array  | sortTopList | 弹窗排序改变事件，建议用全局状态管理存储返回的数据 |



## ref 方法函数

| 名称           | 类型 | 默认值 | 可选值 | 说明    |
|--------------|----|-----|-----|-------|
| destroyModal | -  | -   | -   | 销毁此弹窗 |
| closeFunc    | -  | -   | -   | 关闭弹窗  |
