---
map:
path: /components/form-upload/index
---

# 表单文件上传

统一样式的表单内文件上传组件, 需搭配 `HcUploadFile` 组件实现文件上传功能

## 简单 示例

<demo src="./demo/demo1.vue"></demo>


## 文件列表 示例

<demo src="./demo/demo2.vue"></demo>


## 预览模式 示例

<demo src="./demo/demo3.vue"></demo>


## props 参数

| 名称      | 类型      | 默认值  | 可选值                 | 说明        |
|---------|---------|------|---------------------|-----------|
| ui      | String  | -    | -                   | 附加class样式 |
| src     | String  | -    | -                   | 文件路径地址    |
| preview | Boolean | true | true/ false         | 是否直接预览文件  |
| type    | String  | item | item, list, preview | 样式类型      |
| num     | Number  | 0    | -                   | 上传数量，0为不限 |


<div class="tip custom-block" style="padding-top: 8px">

`preview` 为预览模式时，不会触发 `item` 事件。

</div>


## emit 事件

| 名称     | 返回类型 | 返回数据 | 说明       |
|--------|------|------|----------|
| item   | -    | -    | 点击事件     |
| upload | -    | -    | 上传点击事件   |
| change | -    | -    | 文件列表改变事件 |


## slot 插槽

| 名称 | 说明                       |
|----|--------------------------|
| -  | 默认插槽，`type` 为 `list` 时生效 |
