---
map:
path: /components/table/index
---

# 表格

`HcTable` 基于 `element-plus` 的 `el-table` 组件封装。


## 简单示例


<div class="demo-bg-body">

<demo src="./demo/demo1.vue"></demo>

</div>



## 自定义渲染


<div class="demo-bg-body">

<demo src="./demo/demo2.vue"></demo>

</div>



## 可多选的


<div class="demo-bg-body">

<demo src="./demo/demo3.vue"></demo>

</div>



## 可排序的


<div class="demo-bg-body">

<demo src="./demo/demo4.vue"></demo>

</div>


## 设置颜色


<div class="demo-bg-body">

<demo src="./demo/demo5.vue"></demo>

</div>


## 表格编辑


<div class="demo-bg-body">

<demo src="./demo/demo6.vue"></demo>

</div>


## 新表格样式


<div class="demo-bg-body">

<demo src="./demo/demo7.vue"></demo>

</div>


## props 参数

| 名称                | 类型                                                 | 默认值         | 可选值          | 说明                                                                                                             |
|-------------------|----------------------------------------------------|-------------|--------------|----------------------------------------------------------------------------------------------------------------|
| ui                | String                                             | -           | -            | 附加 class 类名                                                                                                    |
| column            | Array                                              | -           | -            | 表格表头数据，具体参数见下文                                                                                                 |
| datas             | Array                                              | -           | -            | 表格数据                                                                                                           |
| loading           | Boolean                                            | false       | true / false | 是否加载中                                                                                                          |
| isNew             | Boolean                                            | false       | true / false | 新表格样式                                                                                                          |
| isCheck           | Boolean                                            | false       | true / false | 是否有选择框                                                                                                         |
| isIndex           | Boolean                                            | true        | true / false | 是否有序号                                                                                                          |
| indexName         | String                                             | 序号          | -            | 序号的表头名称                                                                                                        |
| rowKey            | String                                             | id          | -            | 唯一key                                                                                                          |
| border            | Boolean                                            | false       | true / false | 是否有边框                                                                                                          |
| isRowDrop         | Boolean                                            | false       | true / false | 是否可拖动排序，需要配置 ui参数                                                                                              |
| isCurrentRow      | Boolean                                            | false       | true / false | 是否要高亮当前行                                                                                                       |
| heights           | String                                             | 100%        | -            | 高度，详情见下文                                                                                                       |
| isSort            | Boolean                                            | false       | true / false | 是否显示排序功能                                                                                                       |
| quickSort         | Boolean                                            | false       | true / false | 是否显示快速排序功能，会有输入框填写排序                                                                                           |
| children          | String                                             | children    | -            | [tree-props](https://element-plus.org/zh-CN/component/table.html#table-%E5%B1%9E%E6%80%A7) 参数的 `children` 项    |
| hasChildren       | String                                             | hasChildren | -            | [tree-props](https://element-plus.org/zh-CN/component/table.html#table-%E5%B1%9E%E6%80%A7) 参数的 `hasChildren` 项 |
| checkStyle        | Object                                             | -           | -            | 勾选框样式对象                                                                                                        |
| indexStyle        | Object                                             | -           | -            | 序号列样式对象                                                                                                        |
| sortStyle         | Object                                             | -           | -            | 排序列样式对象                                                                                                        |
| row-style         | `Function({ row, rowIndex })`                      | -           | -            | 行的 style 的回调方法                                                                                                 |
| cell-style        | `Function({row, column, rowIndex, columnIndex})`   | -           | -            | 单元格的 style 的回调方法                                                                                               |
| header-row-style  | `Function({ row, rowIndex })`                      | -           | -            | 表头行的 style 的回调方法                                                                                               |
| header-cell-style | `Function({ row, column, rowIndex, columnIndex })` | -           | -            | 表头单元格的 style 的回调方法                                                                                             |
| span-method       | `Function({ row, column, rowIndex, columnIndex })` | -           | -            | 合并行或列的计算方法                                                                                                     |



<div class="tip custom-block" style="padding-top: 8px">

heights：Table 的高度， 默认为自动高度。 如果 height 为 number 类型，单位 px；如果 height 为 string 类型，则这个高度会设置为 Table 的 style.height 的值，Table 的高度会受控于外部样式。

</div>

### checkStyle、indexStyle、sortStyle 参数

| 名称        | 类型               | 默认值   | 可选值               | 说明                         |
|-----------|------------------|-------|-------------------|----------------------------|
| width     | String           | -     | -                 | 对应列的宽度                     |
| fixed     | String / Boolean | false | true、left、right   | 列是否固定在左侧或者右侧。 true 表示固定在左侧 |


## column 参数

| 名称        | 类型               | 默认值   | 可选值               | 说明                         |
|-----------|------------------|-------|-------------------|----------------------------|
| key       | String           | -     | -                 | 字段名称 对应列内容的字段名             |
| name      | String           | -     | -                 | 显示的标题                      |
| -         | -                | -     | -                 | 自定义数据                      |
| width     | String           | -     | -                 | 对应列的宽度                     |
| minWidth  | String           | -     | -                 | 最小宽度                       |
| autoWidth | Boolean          | false | true / false      | 自动宽度的计算，仅支持配合 width 使用     |
| align     | String           | left  | left、center、right | 靠齐方向                       |
| isTooltip | Boolean          | false | true / false      | 当内容过长被隐藏时显示 tooltip        |
| fixed     | String / Boolean | false | true、left、right   | 列是否固定在左侧或者右侧。 true 表示固定在左侧 |


<div class="tip custom-block" style="padding-top: 8px">

minWidth：对应列的最小宽度， 与 width 的区别是 width 是固定的，minWidth 会把剩余宽度按比例分配给设置了 minWidth 的列，在 使用了 fixed 时，这个参数，很有用。

autoWidth：自动宽度的计算，仅支持配合 width 使用，当设置了 autoWidth 时，会计算当前页的数据中，此列中的字符串最宽宽度，然后，与width做比较，如果小于width，就以计算后的宽度为主，如果大于width，就以width为主。暂不支持 minWidth 的搭配。
</div>


## slot 插槽

| 名称                      | 说明                           |
|-------------------------|------------------------------|
| key                     | 动态插槽，以  column 内的key，作为插槽key |
| table-column-header-num | 序号列的插槽                       |

<div class="tip custom-block" style="padding-top: 8px">

key：插槽会 返回当前行的 {row, index} 数据

</div>


## emit 事件

| 名称               | 返回类型   | 返回数据                         | 说明                          |
|------------------|--------|------------------------------|-----------------------------|
| select           | Object | `{selection, row}`           | 当用户手动勾选数据行的 Checkbox 时触发的事件 |
| select-all       | Array  | rows                         | 当用户手动勾选全选 Checkbox 时触发的事件   |
| selection-change | Array  | rows                         | 当选择项发生变化时会触发该事件             |
| row-click        | Object | `{row, column, event}`       | 当某一行被点击时会触发该事件              |
| row-dblclick     | Object | `{row, column, event}`       | 当某一行被双击时会触发该事件              |
| row-contextmenu  | Object | `{row, column, event}`       | 当某一行被鼠标右键点击时会触发该事件          |
| cell-click       | Object | `{row, column, cell, event}` | 当某个单元格被点击时会触发该事件            |
| cell-dblclick    | Object | `{row, column, cell, event}` | 当某个单元格被双击击时会触发该事件           |
| cell-contextmenu | Object | `{row, column, cell, event}` | 当某个单元格被鼠标右键点击时会触发该事件        |
| row-drop         | Array  | rows                         | 拖动排序事件                      |
| row-sort         | Array  | rows                         | 点击排序图标事件                    |
| cell-mouse-enter | Object | `{row, column, cell, event}` | 当单元格 hover 进入时会触发该事件        |
| cell-mouse-leave | Object | `{row, column, cell, event}` | 当单元格 hover 退出时会触发该事件        |


## 方法 参数

| 名称                                | 返回类型   | 返回数据 | 说明                                          |
|-----------------------------------|--------|------|---------------------------------------------|
| clearSelection()                  | Array  | -    | 清空多选                                        |
| getSelectionRows()                | Object | row  | 返回当前选中的行                                    |
| toggleRowSelection(row, selected) | -      | -    | 用于多选表格，切换某一行的选中状态， 如果使用了第二个参数，则可直接设置这一行选中与否 |
| setData(data)                     | -      | -    | 设置表格数据，如果数据没有更新，请调用此方法设置表格数据，拖动排序，请用此方法     |
| tableRef                          | -      | -    | 表格原始ref                                     |
| getRef()                          | -      | -    | 获取表格原始ref                                   |
