---
map:
path: /style/element_scss/index
---

# element-plus 组件库部分样式重写

`style/app/element.scss` 文件内的代码如下：

``` scss
.el-message {
    max-width: 400px;
    z-index: 99999992 !important;
    .el-message__content {
        line-height: initial;
    }
}

//饿了么UI组件的样式重绘
.el-button[block] {
    width: 100%;
}
.el-button .hc-icon-i {
    margin-right: 4px;
}
.el-button.is-loading .hc-icon-i {
    display: none;
}
//主色
.el-button--primary.is-link,
.el-button--primary.is-plain,
.el-button--primary.is-text {
    --el-button-border-color: transparent;
    --el-button-hover-text-color: var(--el-color-primary);
    --el-button-hover-bg-color: var(--el-color-primary-light-8);
    --el-button-hover-border-color: transparent;
}
//红色
.el-button--danger.is-link,
.el-button--danger.is-plain,
.el-button--danger.is-text {
    --el-button-border-color: transparent;
    --el-button-hover-text-color: var(--el-color-danger);
    --el-button-hover-bg-color: var(--el-color-danger-light-8);
    --el-button-hover-border-color: transparent;
}
//绿色
.el-button--success.is-link,
.el-button--success.is-plain,
.el-button--success.is-text {
    --el-button-border-color: transparent;
    --el-button-hover-text-color: var(--el-color-success);
    --el-button-hover-bg-color: var(--el-color-success-light-8);
    --el-button-hover-border-color: transparent;
}
.el-button + .el-button {
    margin-left: 20px;
}
.el-button--small + .el-button--small {
    margin-left: 5px;
}

//单选框、多选框
.el-checkbox.size-xl .el-checkbox__inner,
.el-radio.size-xl .el-radio__inner {
    width: 18px;
    height: 18px;
}
.el-checkbox.size-xl .el-checkbox__label,
.el-radio.size-xl .el-radio__label {
    font-size: 16px;
    font-weight: 400;
}

.el-checkbox.size-xl .el-checkbox__inner::after {
    height: 10px;
    left: 6px;
    top: 1px;
}
.el-radio.size-xl .el-radio__inner::after {
    width: 8px;
    height: 8px;
}

//消息提示
.el-message {
    --el-message-padding: 10px 20px;
    border: 0;
    box-shadow: 0 3px 6px -4px rgba(0, 0, 0, 0.012), 0 6px 16px 0 rgba(0, 0, 0, 0.08), 0 9px 28px 8px rgba(0, 0, 0, 0.05);
}

//弹出框层级
.el-popper {
    z-index: 20048 !important;
}


//按钮重绘
.el-button[hc-btn] {
    border-radius: 6px;
    padding: 8px 20px;
    font-weight: 400;
    height: 40px;
    border: 1px solid #f1f5f8;
    box-shadow: var(--hc-shadow);
    &.el-button--small {
        height: 26px;
        padding: 5px 11px;
        font-size: 12px;
    }
    &[_icon] .hc-icon-i {
        margin-right: 0;
    }
    &[_icon].el-button--small {
        height: 26px;
        width: 26px;
        padding: 3px;
        font-size: 18px;
        border-radius: 3px;
    }
    &[text-white] {
        --el-button-text-color: white !important;
        --el-button-hover-text-color: white !important;
    }
    &.el-button--primary {
        background: linear-gradient(to right, var(--el-color-primary-light-5), var(--el-color-primary), var(--el-color-primary-dark-2));
        background-size: 200%;
        transition: background-position .5s;
        &:hover {
            background-position: 100% 0;
        }
    }
    &.is-loading:not([class*='el-button--']) {
        --el-button-bg-color: #f3f3f3;
        --el-button-text-color: #8c9099;
    }
    &.is-disabled:not([class*='el-button--']) {
        --el-button-disabled-text-color: #bfbfbf;
        --el-button-disabled-bg-color: #f3f3f3;
    }
    &:not([class*='el-button--']) {
        --el-button-bg-color: #f1f5f8;
        --el-button-text-color: #838791;
        --el-button-hover-text-color: #838791;
        --el-button-active-text-color: #838791;
        --el-button-hover-bg-color: var(--el-color-primary-light-9);
        --el-button-active-bg-color: var(--el-color-primary-light-8);
    }
    &.el-button--primary.is-plain {
        --el-button-text-color: var(--el-color-primary);
        --el-button-bg-color: var(--el-color-primary-light-9);
        --el-button-hover-text-color: var(--el-color-primary);
        --el-button-hover-bg-color: var(--el-color-primary-light-8);
        --el-button-active-text-color: var(--el-color-primary);
        --el-button-active-bg-color: var(--el-color-primary-light-7);
    }
    &.is-disabled, &.is-disabled:focus, &.is-disabled:hover {
        color: var(--el-button-disabled-text-color);
        cursor: not-allowed;
        background-image: none;
        background-color: var(--el-button-disabled-bg-color);
        border-color: var(--el-button-disabled-border-color);
    }
}

//表单
.el-form {
    position: relative;
    overflow: hidden;
    .hc-form-item {
        position: relative;
        display: flex;
        .el-form-item {
            flex: 1;
            margin-right: 24px;
        }
        .el-form-item + .el-form-item {
            margin-left: 24px;
        }
        .el-form-item:last-child {
            margin-right: 0;
        }
    }
    &.el-form--label-top .hc-form-item .el-form-item .el-form-item__label {
        position: relative;
        .solt-label {
            position: relative;
            width: calc(100% - 50px);
        }
        .solt-extra {
            position: absolute;
            right: 0;
            top: 0;
        }
    }
}

//滚动条
.el-scrollbar {
    overflow: initial;
    .el-scrollbar__bar.is-vertical {
        //right: -16px;
    }
    .el-scrollbar__bar.is-horizontal {
        //bottom: -20px;
    }
}

.el-input.el-date-editor.block,
.el-date-editor.block .el-input__wrapper {
    width: 100%;
}

.el-autocomplete.block {
    width: 100%;
}

//个人中心项目列表
.el-menu.hc-project-menu {
    --el-menu-level: 0;
    background-color: initial;
    border: initial;
    .el-sub-menu {
        border: 1px solid #e9e9e9;
        border-radius: 3px;
        margin-bottom: 20px;
        .el-sub-menu__title .hc-menu-icon {
            font-size: 20px;
            margin-right: 10px;
        }
        &.is-opened .el-sub-menu__title {
            color: var(--el-color-primary);
            background-color: var(--el-color-primary-light-8);
        }
        .el-menu {
            background-color: initial;
        }
        .el-menu-item {
            padding-left: 50px;
        }
    }
    .el-menu-item.is-active {
        color: var(--el-menu-active-color);
        background-color: var(--el-color-primary-light-9);
        .hc-menu-icon {
            position: absolute;
            font-size: 16px;
            left: 22px;
        }
    }
}

//表格
.el-table[hc] {
    --el-table-bg-color: initial;
    --el-table-header-bg-color: #DAE8F3;
    --el-table-header-text-color: #50545E;
    --el-table-tr-bg-color: #F1F5F8;
    --el-fill-color-lighter: #E7EEF4;
    --el-table-text-color: #666666;
    --el-table-row-hover-bg-color: var(--el-color-primary-light-9);
    th.el-table__cell > .cell {
        font-weight: 400;
    }
    .el-table__cell {
        padding: 12px 0;
        .el-checkbox {
            --el-checkbox-input-height: 18px;
            --el-checkbox-input-width: 18px;
            --el-checkbox-font-size: 16px;
            --el-checkbox-border-radius: 3px;
            .el-checkbox__inner::after {
                top: 3px;
                left: 6px;
            }
        }
        .el-checkbox__input.is-indeterminate .el-checkbox__inner::before {
            top: 7px;
        }
    }
    &.el-table--border {
        --el-table-border-color: #e9e9e9;
    }
}
.el-table[hc]:not([class*='el-table--border']) {
    .el-table__inner-wrapper::before {
        background-color: transparent;
    }
}

//下拉框
.el-select[block] {
    width: 100%;
}

//工单服务的时间轴
.time-line-box .el-timeline.hc-time-line {
    padding-left: 5px;
    padding-top: 5px;
    .el-timeline-item {
        padding-bottom: 24px;
        .el-timeline-item__tail {
            top: 28px;
            left: 6px;
            height: calc(100% - 36px);
            border-width: 1px;
            border-color: #838791;
        }
        .el-timeline-item__node {
            display: none;
        }
        .el-timeline-item__wrapper {
            padding-left: 38px;
            .el-timeline-item__content {
                .timeline-item-icon {
                    position: absolute;
                    width: 24px;
                    height: 24px;
                    left: -5px;
                    border: 1px solid #838791;
                    border-radius: 50px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    color: #838791;
                    .check-icon {
                        font-size: 18px;
                    }
                }
                .reply-name {
                    color: #838791;
                    font-size: 18px;
                }
                .reply-content {
                    color: #838791;
                    margin-top: 5px;
                }
            }
        }
        &.success {
            .el-timeline-item__tail {
                border-color: var(--el-color-primary);
            }
            .el-timeline-item__wrapper .el-timeline-item__content .timeline-item-icon {
                color: var(--el-color-primary);
                border: 1px solid var(--el-color-primary);
            }
        }
        &.primary {
            .el-timeline-item__wrapper .el-timeline-item__content {
                .reply-name {
                    color: #1A1A1A;
                }
                .timeline-item-icon {
                    background-color: var(--el-color-primary);
                    border: 1px solid var(--el-color-primary);
                    color: #ffffff;
                }
            }
        }
    }
}

//滚动条
/*.el-scrollbar {
    scroll-behavior: smooth;
    .el-scrollbar__wrap--hidden-default {
        scroll-behavior: smooth;
    }
}*/

//弹窗
.el-overlay-dialog {
    .el-dialog.hc-modal-border {
        .el-dialog__header {
            padding-bottom: var(--el-dialog-padding-primary);
            border-bottom: 1px solid #EEEEEE;
            margin-right: 0;
        }
        .el-dialog__footer {
            border-top: 1px solid #EEEEEE;
            padding-top: var(--el-dialog-padding-primary);
        }
    }
    .el-dialog.hc-modal-nop {
        .el-dialog__body {
            padding: 0;
        }
    }
}

//上传
.el-upload-list.el-upload-list--picture-card {
    --el-upload-list-picture-card-size: 88px;
    .el-upload--picture-card {
        --el-upload-picture-card-size: 88px;
        .hc-upload-icon {
            font-size: 39px;
        }
    }
}

//头像
.el-avatar {
    color: initial !important;
    background: initial !important;
}

//表格
.hc-table-ref-box {
    position: relative;
    display: inline-grid;
    border: 1px solid #e9e9e9;
    width: 100%;
}

.el-alert .el-alert__icon {
    vertical-align: middle;
}
//弹窗提示
.el-dialog .el-dialog__body {
    position: relative;
    max-height: 60vh;
    overflow: auto;
    .el-alert {
        margin-top: -10px;
        margin-bottom: 20px;
    }

}
.el-dialog.hc-modal-table .el-dialog__body {
    height: 60vh;
}

//上传文件列表
.hc-upload-border {
    .hc-upload-loading {
        position: relative;
    }
    .el-upload-list {
        border-top: 1px solid #f1f1f1;
        margin-top: 24px;
        padding-top: 24px;
    }
}

//伪表单
.el-form-item--large .el-form-item__content {
    .form-item-div {
        position: relative;
        color: #606266;
        font-size: 14px;
        padding: 0 12px;
        height: 40px;
        width: 100%;
        border-radius: 4px;
        display: flex;
        align-items: center;
        &.hover {
            cursor: pointer;
            transition: border 0.2s cubic-bezier(0.645, 0.045, 0.355, 1)
        }
    }
    .form-item-div {
        border: 1px solid #dddfe6;
    }
    .form-item-div.hover{
        &:hover {
            border-color: var(--el-color-primary);
        }
    }
}

//无名称
.el-form-item[no-label] .el-form-item__label-wrap {
    margin-left: 0 !important;
}

.el-form--large.el-form--label-top .el-form-item .el-form-item__label {
    min-height: 22px;
}

.el-form-item--large.mb-0 {
    margin-bottom: 0;
}

//输入框验证问题
.el-input.is-error .el-input__wrapper {
    box-shadow: 0 0 0 1px var(--el-color-danger) inset;
}

//表单输入框和按钮组合
.el-form-item.hc-input-button-group .el-form-item__content {
    .el-input {
        flex: 1;
        .el-input__wrapper {
            border-radius: 4px 0 0 4px;
        }
    }
    .el-button {
        border-radius: 0 4px 4px 0;
    }
}

//设置表单的上传
.hc-upload-table-form {
    position: relative;
    height: inherit;
    display: flex;
    justify-content: center;
    align-items: center;
    .el-upload {
        position: relative;
        flex: 1;
        height: inherit;
        color: #ccc;
        .hc-table-form-icon {
            font-size: 24px;
            font-weight: 100;
        }
        .hc-table-form-img {
            width: 100%;
            height: inherit;
        }
        .hc-table-form-del {
            position: absolute;
            right: 0;
            top: 0;
        }
    }
}

//表单提示样式
.el-popper.is-customized {
    padding: 6px 12px;
    background: linear-gradient(90deg, rgb(159, 229, 151), rgb(204, 229, 129));
}

.el-popper.is-customized .el-popper__arrow::before {
    background: linear-gradient(45deg, #b2e68d, #bce689);
    right: 0;
}

.ui-drag-modal-box .hc-image-preview-box.ui-drag-modal-dialog .ui-drag-modal-dialog-body {
    .hc-image-preview-view {
        position: relative;
        overflow: hidden;
        height: 100%;
        width: 100%;
        .el-image-viewer__wrapper {
            position: relative;
            width: 100%;
            height: 100%;
            .el-image-viewer__mask {
                border-radius: 3px;
                box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.10);
            }
            .el-image-viewer__close {
                display: none;
            }
            .el-image-viewer__actions {
                bottom: 10px;
            }
        }
    }
}

//下拉框的滚动条
.el-select__popper.el-popper .el-select-dropdown .el-scrollbar .el-scrollbar__bar.is-vertical {
    right: 1px;
}

.el-loading-mask {
    z-index: 99999;
}

.el-scrollbar.scroll-bar-right-16 {
    .el-scrollbar__bar {
        right: -16px;
    }
}

//树
.el-tree.hc-tree-node, .el-tree.hc-tree-node-v2 {
    --el-fill-color-blank: transparent;
    --el-tree-node-hover-bg-color: var(--el-color-primary-light-9);
    --el-tree-text-color: #50545E;
    --el-tree-expand-icon-color: #838791;
    background: var(--el-fill-color-blank);
    color: var(--el-tree-text-color);
    .el-tree-node__content {
        border-radius: 2px;
    }
    &.el-tree--highlight-current .el-tree-node.is-current > .el-tree-node__content {
        background-color: var(--el-color-primary-light-7);
    }
    .el-tree-node__expand-icon {
        font-size: 16px;
    }
    .el-tree-node__children {
        overflow: visible !important;
    }
}

// 树样式
.el-tree.hc-tree-node-v2, .hc-tree-node {
    .data-custom-tree-node {
        position: relative;
        display: flex;
        align-items: center;
        width: 100%;
        color: var(--el-text-color-primary);
        .label {
            flex: auto;
            font-size: 16px;
            .hc-tree-node-type {
                display: inline-block;
                background: #7729F5;
                font-size: 14px;
                color: white;
                width: 20px;
                height: 20px;
                border-radius: 5px;
                text-align: center;
                line-height: 20px;
                margin-right: 8px;
            }
        }
        .label.level-name {
            font-size: 18px;
            font-weight: bold;
        }
    }
    .el-tree-node__content {
        height: 28px;
    }
    .el-tree-node__label {
        flex: 1;
        user-select: none;
    }
    &.tree-line .el-tree-node.is-expanded.is-current.is-focusable {
        background: #cacaca;
        border-radius: 4px;
    }
}
```
